Error instalar Node...
 
Notificaciones
Eliminar todas

Error instalar Nodejs y NPM  


gusLopezC
Respuestas: 6
Registrado
(@guslopezc)
Integrante Activo
Registrado: hace 2 años

Tengo un error al instalar npm es algo raro pues no encuentra el paquete para su instalación aunque es un paquete muy común y importante alguna idea de que puede ser o otra forma de instalar el binario

npm --version
bash: npm: no se encontró la orden

image
Respuesta
2 Respuestas
1 Respuesta
Isaías Gätjens M
Moderador
(@igatjens)
Registrado: hace 2 años

Integrante Honorable
Respuestas: 660

@guslopezc

Lo cierto es que del tema no conozco pero me dio curiosidad. Primero recordar que Deepin está basado actualmente en Debian 9 (stretch), y que los procedimientos de instalación para Debian 9 son los compatibles para Deepin.

En el sitio de https://nodejs.org/es/download/package-manager está un enlace a

- https://github.com/nodesource/distributions/blob/master/README.md

donde están las instrucciones que sugiere @programacionjs.

Además en Google buscando install node js npm debian 9 hay muchos resultados al respecto, solo recordar que los repositorios PPA son para Ubuntu y derivados, y normalmente dan problemas con Debian y con Deepin, por eso no se recomienda usar repositorios PPA, además de tener mucho cuidado al agregar repositorios a Deepin, porque si instala un repositorio incompatible posiblemente se rompa el sistema.

Saludos.

Respuesta
ProgramacionJS
Respuestas: 51
(@programacionjs)
Miembro
Registrado: hace 3 años

mejor descarga de la página oficial y agerga al path la carpeta bin del archivo que descargaste y extrajiste, serian .. tu_ruta/nodejs-version-linux64/bin ... algo así es, eso agrega al path, guardalo en el archivo .bashrc

export PATH=/home/jose/.Programs/nodejs/node-v12.9.1-linux-x64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin

agregas eso al archivo

luego source .bashrc

y ya tienes nodejs, yo uso la 12.9.1

 

Respuesta
Comparte: